Debian Bug report logs - #115308
python-gnome: needs a rebuild (libgal11)

version graph

Package: python-gnome; Maintainer for python-gnome is (unknown);

Reported by: Ben Burton <benb@acm.org>

Date: Thu, 11 Oct 2001 23:03:03 UTC

Severity: serious

Found in versions 1.4.1-8, 1.4.1-8.1

Fixed in version python-gnome/1.4.1-9

Done: Torsten Landschoff <torsten@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Torsten Landschoff <torsten@debian.org>:
Bug#115308; Package python-gnome. Full text and rfc822 format available.

Acknowledgement sent to Ben Burton <benb@acm.org>:
New Bug report received and forwarded. Copy sent to Torsten Landschoff <torsten@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Ben Burton <benb@acm.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: python-gnome: needs a rebuild (libgal11)
Date: Thu, 11 Oct 2001 17:53:23 -0500
Package: python-gnome
Version: 1.4.1-8
Severity: serious
Justification: Policy 2.1.2

Package python-gnome is uninstallable since it depends on libgal11
which no longer exists.  Presumably this is fixed simply by rebuilding.

Ben.

-- System Information
Debian Release: testing/unstable
Architecture: i386
Kernel: Linux espresso 2.4.10-686 #1 Sat Sep 29 19:30:50 EST 2001 i686
Locale: LANG=C, LC_CTYPE=C

Versions of packages python-gnome depends on:
ii  gconf                         1.0.4-3    GNOME configuration database syste
ii  gdk-imlib1                    1.9.11-3   Gdk-Imlib is an imaging library fo
ii  libart2                       1.4.1.2-3  The Gnome canvas widget
ii  libaudiofile0                 0.2.2-2    The Audiofile Library
ii  libc6                         2.2.4-3    GNU C Library: Shared libraries an
ii  libdb3                        3.2.9-11   Berkeley v3 Database Libraries [ru
ii  libesd0                       0.2.22-6   Enlightened Sound Daemon - Shared 
ii  libgal11                      0.11.2-1   G App Libs (run time library)
ii  libgconf11                    1.0.4-3    GNOME configuration database syste
ii  libgdk-pixbuf-gnome2          0.11.0-2   The GNOME GdkPixBuf library.
ii  libgdk-pixbuf2                0.11.0-2   The GdkPixBuf library.
ii  libglade-gnome0               0.16-4     Library to load .glade files at ru
ii  libglade0                     0.16-4     Library to load .glade files at ru
ii  libglib1.2                    1.2.10-1.2 The GLib library of C routines
ii  libgnome32                    1.4.1.2-3  The Gnome libraries
ii  libgnomeprint15               0.29-7     The GNOME Print architecture
ii  libgnomesupport0              1.4.1.2-3  The Gnome libraries (Support libra
ii  libgnomeui32                  1.4.1.2-3  The Gnome libraries (User Interfac
ii  libgnorba27                   1.4.1.2-3  Gnome CORBA services
ii  libgtk1.2                     1.2.10-2   The GIMP Toolkit set of widgets fo
ii  libgtkhtml15                  0.12.0-2   HTML rendering/editing library - r
ii  libgtkxmhtml1                 1.4.1.2-3  The Gnome gtkxmhtml (HTML) widget
ii  libjpeg62                     6b-1.3     The Independent JPEG Group's JPEG 
ii  liboaf0                       0.6.6-1    The GNOME Object Activation Framew
ii  liborbit0                     0.5.10-1   Libraries for ORBit - a CORBA ORB
ii  libpanel-applet0              1.4.0.4-10 Library for Gnome Panel applets
ii  libpng2                       1.0.12-2   PNG library - runtime
ii  libxml1                       1:1.8.16-1 GNOME XML library
ii  libzvt2                       1.4.1.2-3  The Gnome zvt (zterm) widget
ii  oaf                           0.6.6-1    The GNOME Object Activation Framew
ii  python-gdk-imlib              0.6.8-8    GTK gdk_imlib support module for P
ii  python-gtk                    0.6.8-8    GTK support module for Python.
ii  xlibs                         4.1.0-7    X Window System client libraries
ii  zlib1g                        1:1.1.3-16 compression library - runtime




Information forwarded to debian-bugs-dist@lists.debian.org, Torsten Landschoff <torsten@debian.org>:
Bug#115308; Package python-gnome. Full text and rfc822 format available.

Acknowledgement sent to "Tom Cato Amundsen" <tca@gnu.org>:
Extra info received and forwarded to list. Copy sent to Torsten Landschoff <torsten@debian.org>. Full text and rfc822 format available.

Message #10 received at 115308@bugs.debian.org (full text, mbox):

From: "Tom Cato Amundsen" <tca@gnu.org>
To: Debian Bug Tracking System <115308@bugs.debian.org>
Subject: python-gnome: Package need update to new python policy and new python packages
Date: Sat, 3 Nov 2001 21:16:15 +0100
Followup-For: Bug #115308
Package: python-gnome
Version: 1.4.1-8.1

The package also need to be updated because of the new python packages
and new python policy. I have made packages for my own use, and uploaded
them to http://people.debian.org/~tca

-- 
Tom Cato Amundsen <tca@gnu.org>
GNU Solfege - free eartraining, http://www.gnu.org/software/solfege/



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#115308; Package python-gnome. Full text and rfc822 format available.

Acknowledgement sent to Torsten Landschoff <torsten@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #15 received at 115308@bugs.debian.org (full text, mbox):

From: Torsten Landschoff <torsten@debian.org>
To: 115308@bugs.debian.org
Subject: Built but never uploaded :(
Date: Sun, 4 Nov 2001 02:29:30 +0100
[Message part 1 (text/plain, inline)]
Seems like I built a fixed package but never uploaded it. If I don't
get the new python-gnome done tomorrow I will just upload a package
rebuilt against current libgal.

Thanks

	Torsten
[Message part 2 (application/pgp-signature, inline)]

Reply sent to Torsten Landschoff <torsten@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Ben Burton <benb@acm.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #20 received at 115308-close@bugs.debian.org (full text, mbox):

From: Torsten Landschoff <torsten@debian.org>
To: 115308-close@bugs.debian.org
Subject: Bug#115308: fixed in python-gnome 1.4.1-9
Date: Mon, 05 Nov 2001 15:07:38 -0500
We believe that the bug you reported is fixed in the latest version of
python-gnome, which has been installed in the Debian FTP archive:

python-gdk-imlib_0.6.8-9_i386.deb
  to pool/main/p/python-gnome/python-gdk-imlib_0.6.8-9_i386.deb
python-glade_0.6.8-9_i386.deb
  to pool/main/p/python-gnome/python-glade_0.6.8-9_i386.deb
python-gnome_1.4.1-9_i386.deb
  to pool/main/p/python-gnome/python-gnome_1.4.1-9_i386.deb
python-gnome_1.4.1-9.dsc
  to pool/main/p/python-gnome/python-gnome_1.4.1-9.dsc
python-gnome_1.4.1-9.diff.gz
  to pool/main/p/python-gnome/python-gnome_1.4.1-9.diff.gz
python-gtkglarea_0.6.8-9_i386.deb
  to pool/main/p/python-gnome/python-gtkglarea_0.6.8-9_i386.deb
python-gtk_0.6.8-9_i386.deb
  to pool/main/p/python-gnome/python-gtk_0.6.8-9_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 115308@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Torsten Landschoff <torsten@debian.org> (supplier of updated python-gnome package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon,  5 Nov 2001 00:13:16 +0100
Source: python-gnome
Binary: python-glade python-gtkglarea python-gtk python-gdk-imlib python-gnome
Architecture: source i386
Version: 1.4.1-9
Distribution: unstable
Urgency: low
Maintainer: Torsten Landschoff <torsten@debian.org>
Changed-By: Torsten Landschoff <torsten@debian.org>
Description: 
 python-gdk-imlib - GTK gdk_imlib support module for Python.
 python-glade - Put a bit of python code behind interfaces built with GLADE.
 python-gnome - PyGNOME -- Python bindings for GNOME.
 python-gtk - GTK support module for Python.
 python-gtkglarea - Python wrapper for the gtkglarea OpenGL area widget
Closes: 115308
Changes: 
 python-gnome (1.4.1-9) unstable; urgency=low
 .
   * Rebuilt using libgal11 (closes: #115308).
   * configure: Change invocation to gnome-config used for GNOME_INCLUDEDIR
     to mention gtkhtml (THIS IS A HACK!!!). Otherwise the build fails since
     the gnome-print headers are not found.
   * configure: Run gdk-pixbuf-config as well to set GNOME_INCLUDEDIR.
     Another silly hack but I know no other way.
   * debian/control: Build depend on libgconf-dev as well (pbuilder failed).
   * debian/control: Fix the dependencies as required by the new python
     policy.
Files: 
 bf558a155e5cd2410ed65df589733cb7 881 interpreters optional python-gnome_1.4.1-9.dsc
 d41f1c5da6ca67a5a2fc01b254a50ccc 41960 interpreters optional python-gnome_1.4.1-9.diff.gz
 98347c5441b4b024bb65a86802365b19 148996 interpreters optional python-gnome_1.4.1-9_i386.deb
 80f66b2aa8da73f3432a9f83b0b94b96 250498 interpreters optional python-gtk_0.6.8-9_i386.deb
 7c2c12787c0d321527333ff2bc3f8e2f 23534 interpreters optional python-glade_0.6.8-9_i386.deb
 5c6fed28cb17c023aa1da5d108e7bff2 16184 interpreters optional python-gdk-imlib_0.6.8-9_i386.deb
 ceb780c62a9f3cbc98fe18b8e2abe230 13270 interpreters optional python-gtkglarea_0.6.8-9_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.0.6 (GNU/Linux)
Comment: For info see http://www.gnupg.org

iD8DBQE75c1ydQgHtVUb5EcRAj3ZAJ4qjD7S7VOzBXsug+V31qERqRK+UACeKyjL
TEY2nmQggfl1V7YswabzbYE=
=2xQO
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 23:30:44 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.